package simpleapdu;

/**
 *
 * @author Petr Svenda
 */
public class SimpleAPDU {
    static CardMngr cardManager = new CardMngr();

    private static byte DEFAULT_USER_PIN[] = {(byte) 0x30, (byte) 0x30, (byte) 0x30, (byte) 0x30};
    private static byte NEW_USER_PIN[] = {(byte) 0x31, (byte) 0x31, (byte) 0x31, (byte) 0x31};

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try {
            if (cardManager.ConnectToCard()) {
                byte data[] = null;

                // Get CPLC data
                if ((data = cardManager.GetCPLCData()) != null) {
                    System.out.println(cardManager.bytesToHex(data));
                    // TODO: Parse CPLC data
                    
                } else {
                    System.out.println("Fail to obtain CPLC data");
                }
                
                // TODO: Probe commands
                cardManager.ProbeCardCommands();

                cardManager.DisconnectFromCard();
            } else {
                System.out.println("Failed to connect to card");
            }
        } catch (Exception ex) {
            System.out.println("Exception : " + ex);
        }
    }
}
